# data/trainers/typedefs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

- data/trainers/typedefs

# Module data/trainers/typedefs

## Interfaces

PartyMemberFuncs
TrainerConfigs
TrainerTierPools

## Type Aliases

GenAIFunc
GenModifiersFunc
PartyMemberFunc
PartyTemplateFunc

### Settings

Member Visibility

- Protected
- Inherited
- External

Theme

### On This Page

Interfaces
PartyMemberFuncs
TrainerConfigs
TrainerTierPools
Type Aliases
GenAIFunc
GenModifiersFunc
PartyMemberFunc
PartyTemplateFunc